Subject: [Ietf-calsify] VALARM

From: Doug at Royer.com (Doug Royer)
Date: Sun Aug 29 15:23:55 2004

(On the CALSIFY mailing list we are talking about the next rev of 244[567].)

Nathaniel Borenstein wrote:

> ....
>
> I have nothing against VALARM per se, but I am skeptical of including 
> anything in the base standard that isn't needed for data interchange 
> between heterogeneous systems, because such transport is the most 
> important problem we are trying to solve.  In the case of VALARM, the 
> thin client CalDav example is fairly compelling, but even there I see 
> it as belonging in a separate spec that describes user-side concepts.

It is needed so CUA from vendor A can set an alarm in CS vendor B product.
MANY implementations discard objects they do not know. Without
a standardized VALARM, you can't set one. Your talking about access control
on the VALARM objects. And it is needed so that CUA from vendor A can see an
alarm in the CS.

> (Personally, I want to be able to set an alarm for myself, but I don't 
> want anyone else to set an alarm for *me*.)  -- Nathaniel

Without VALARM - how would you set a VALARM in a CS were both
the CUA and CS were not the same vendor, unless there was a standard
way to set the alarm?

Your talking about access control on the VALARM objects.

I do not care if VALARM is a separate draft from the others or not.
I do think many implementations will break if there is not a 
standardized alarm.

-- 

Doug Royer                     |   http://INET-Consulting.com
-------------------------------|-----------------------------
[email-masked]                 | Office: (208)520-4044
http://Royer.com/People/Doug   | Fax:    (866)594-8574
                               | Cell:   (208)520-4044

              We Do Standards - You Need Standards

-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/x-pkcs7-signature
Size: 4696 bytes
Desc: S/MIME Cryptographic Signature
Url : http://lists.osafoundation.org/pipermail/ietf-calsify/attachments/20040829/0afdee9c/smime.bin